/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.entityexception;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;;
/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.2.2.5 $
 */
@Entity
public class Person implements Serializable
{
   int id;
   String name;
   
   public Person()
   {
      
   }
   
   public Person(int id, String name)
   {
      this.id = id;
      this.name = name;
   }

   @Id
   public int getId()
   {
      return id;
   }
   

   public void setId(int id)
   {
      this.id = id;
   }
   

   public String getName()
   {
      return name;
   }
   

   public void setName(String name)
   {
      this.name = name;
   }
   
   
   
}
